Commit 48fa1718 authored by Lukáš Krupčík's avatar Lukáš Krupčík

Merge branch 'it4i-salomon'

parents 86117bbb 10d54de2
# IT4Innovations 2018
easyblock = 'CMakeMake'
name = 'ChronusQ'
version = '20180802'
homepage = 'https://github.com/liresearchgroup/chronusq_public'
description = """ChronusQ is a high-performance computational chemistry software package
with a strong emphasis on explicitly time-dependent and post-SCF quantum mechanical methods."""
toolchain = {'name': 'foss', 'version': '2017a'}
toolchainopts = {'usempi': True}
source_urls = ['https://github.com/liresearchgroup/chronusq_public/archive/']
sources = ['d32ed9493bc53da4e6e5122105c221d5f4dc8b93.zip']
dependencies = [
('HDF5', '1.10.1'),
('Boost', '1.66.0', '-Py-2.7'),
('Eigen', '3.3.3', '', True),
('mkl', '2017.4.239', '', True),
]
builddependencies = [
('CMake', '3.9.0', '', True),
]
maxparallel = 1
prebuildopts = 'bin/buildlibint 28 && '
configopts = "-DEIGEN3_ROOT=$EBROOTEIGEN "
configopts += "-DBOOST_ROOT=$EBROOTBOOST "
configopts += "-DBOOST_ROOT=$EBROOTHDF5 "
configopts += "-DOPENBLAS_TARGET=HASWELL "
#configopts += "-DCQ_ENABLE_MPI=ON "
sanity_check_paths = {
'files': [],
'dirs': ['bin']
}
moduleclass = 'chem'
# IT4Innovations 2018
easyblock = 'CMakeMake'
name = 'ChronusQ'
version = '20180802'
homepage = 'https://github.com/liresearchgroup/chronusq_public'
description = """ChronusQ is a high-performance computational chemistry software package
with a strong emphasis on explicitly time-dependent and post-SCF quantum mechanical methods."""
toolchain = {'name': 'intel', 'version': '2017a'}
toolchainopts = {'usempi': True}
source_urls = ['https://github.com/liresearchgroup/chronusq_public/archive/']
sources = ['d32ed9493bc53da4e6e5122105c221d5f4dc8b93.zip']
dependencies = [
('HDF5', '1.8.18', '-serial'),
('Boost', '1.63.0'),
('Eigen', '3.3.3', '', True),
]
builddependencies = [
('CMake', '3.9.0', '', True),
]
#separate_build_dir = True
maxparallel = 1
srcdir = '..'
preconfigopts = "mkdir build && cd build && "
prebuildopts = 'bin/buildlibint 28 && cd build && '
configopts = "-DEIGEN3_ROOT=$EBROOTEIGEN "
configopts += "-DBOOST_ROOT=$EBROOTBOOST "
configopts += "-DBOOST_ROOT=$EBROOTHDF5 "
#configopts += "-DCQ_ENABLE_MPI=ON "
sanity_check_paths = {
'files': [],
'dirs': ['bin']
}
moduleclass = 'chem'
......@@ -4,7 +4,6 @@ easyblock = 'CMakeMake'
name = 'ChronusQ'
version = '20180802'
versionsuffix = '-test'
homepage = 'https://github.com/liresearchgroup/chronusq_public'
description = """ChronusQ is a high-performance computational chemistry software package
......@@ -19,11 +18,12 @@ sources = ['chronusq_public.tar.gz']
dependencies = [
('HDF5', '1.10.1', '-serial', ('GCC', '6.3.0-2.27')),
('Boost', '1.68.0', '-serial'),
('Eigen', '3.3.5', '', ('GCC', '6.3.0-2.27')),
('Eigen', '3.3.7', '', True),
('Szip', '2.1.1', '', ('GCC', '6.3.0-2.27')),
]
builddependencies = [
('CMake', '3.11.4', '', ('GCC', '6.3.0-2.27')),
('CMake', '3.13.1', '', True),
]
separate_build_dir = True
......@@ -39,7 +39,7 @@ install_cmd = "cp -a src/ %(installdir)s/src"
sanity_check_paths = {
'files': [],
'dirs': ['bin']
'dirs': ['include', 'src', 'tests']
}
moduleclass = 'chem'
# IT4Innovations 2018
easyblock = 'EB_EasyBuildMeta'
name = 'EasyBuild'
version = '3.7.1'
versionsuffix = '-develop'
homepage = 'https://easybuilders.github.io/easybuild'
description = """EasyBuild is a software build and installation framework
written in Python that allows you to install software in a structured,
repeatable and robust way."""
toolchain = {'name': 'dummy', 'version': ''}
source_urls = [
# vsc-install
'https://files.pythonhosted.org/packages/b6/03/becd813f5c4e8890254c79db8d2558b658f5a3ab52157bc0c077c6c9beea/',
# vsc-base
'https://files.pythonhosted.org/packages/62/e5/589612e47255627e4752d99018ae7cff8f49ab0fa6b4ba7b2226a76a05d3/',
# easybuild-framework
'https://files.pythonhosted.org/packages/0a/4f/6f627e1ae8a99676c62267f7fb5c14d5ff6e3d8e004b1f5307885711099a/',
# easybuild-easyblocks
'https://files.pythonhosted.org/packages/b7/02/149659f66677254e7f525bede61ad4f35b9787534298b9ff841fbc64ec87/',
# easybuild-easyconfigs
'https://files.pythonhosted.org/packages/a9/89/8ee3e06e64b06ada47a78bc2ce234e23f54dac5d5cb649fd613ec9435154/',
]
sources = [
'vsc-install-0.11.2.tar.gz',
'vsc-base-2.8.3.tar.gz',
'easybuild-framework-%(version)s.tar.gz',
'easybuild-easyblocks-%(version)s.tar.gz',
'easybuild-easyconfigs-%(version)s.tar.gz',
]
# order matters a lot, to avoid having dependencies auto-resolved (--no-deps easy_install option doesn't work?)
# EasyBuild is a (set of) Python packages, so it depends on Python
# usually, we want to use the system Python, so no actual Python dependency is listed
allow_system_deps = [('Python', SYS_PYTHON_VERSION)]
moduleclass = 'tools'
# IT4Innovations 2018
name = 'Eigen'
version = '3.3.7'
homepage = 'http://eigen.tuxfamily.org/index.php?title=Main_Page'
description = """Eigen is a C++ template library for linear algebra:
matrices, vectors, numerical solvers, and related algorithms."""
toolchain = {'name': 'dummy', 'version': ''}
source_urls = ['http://bitbucket.org/%(namelower)s/%(namelower)s/get']
sources = ['%(version)s.tar.bz2']
dependencies = [
('CMake', '3.13.1'),
]
moduleclass = 'math'
......@@ -11,4 +11,8 @@ toolchain = {'name': 'dummy', 'version': ''}
# http://www.oracle.com/technetwork/java/javase/downloads/index.html
sources = ['jdk-9_linux-x64_bin.tar.gz']
dependencies = [
('X11', '20170314'),
]
moduleclass = 'lang'
# IT4Innovations 2018
easyblock = 'MakeCp'
name = 'Julia'
version = '1.0.1'
homepage = 'http://julialang.org'
description = """Julia is a high-level, high-performance dynamic programming language for technical computing,
with syntax that is familiar to users of other technical computing environments.
It provides a sophisticated compiler, distributed parallel execution, numerical accuracy,
and an extensive mathematical function library. Julia’s Base library, largely written in Julia itself,
also integrates mature, best-of-breed open source C and Fortran libraries for linear algebra, random number generation
, signal processing, and string processing. In addition, the Julia developer community is contributing a number of external
packages through Julia’s built-in package manager at a rapid pace. IJulia, a collaboration between the Jupyter and Julia communities,
provides a powerful browser-based graphical notebook interface to Julia."""
toolchain = {'name': 'intel', 'version': '2017c'}
source_urls = ['https://github.com/JuliaLang/julia/releases/download/v%(version)s/']
sources = ['%(name)s-%(version)s.tar.gz']
dependencies = [
('Py', '2.7', '', True),
('git', '2.18.0', '', True),
('CMake', '3.11.4', '-GCC-6.3.0-2.27', True)
]
buildopts = 'MARCH=native USE_INTEL_MKL=1 USE_INTEL_MKL_FFT=1 USE_INTEL_LIBM=1 USEICC=1 USEICC=1 USEIFC=1'
#buildopts = 'MARCH=native'
files_to_copy = ['usr/*']
parallel = 1
sanity_check_paths = {
'files': ['bin/julia'],
'dirs': []
}
moduleclass = 'math'
easyblock = 'MakeCp'
name = 'Julia'
version = 'snapshot'
homepage = 'http://julialang.org'
description = """Julia is a high-level, high-performance dynamic programming language for technical computing,
with syntax that is familiar to users of other technical computing environments.
It provides a sophisticated compiler, distributed parallel execution, numerical accuracy,
and an extensive mathematical function library. Julia’s Base library, largely written in Julia itself,
also integrates mature, best-of-breed open source C and Fortran libraries for linear algebra, random number generation
, signal processing, and string processing. In addition, the Julia developer community is contributing a number of external
packages through Julia’s built-in package manager at a rapid pace. IJulia, a collaboration between the Jupyter and Julia communities,
provides a powerful browser-based graphical notebook interface to Julia."""
toolchain = {'name': 'intel', 'version': '2015b'}
dependencies = [('Python', '2.7.9')]
source_urls = ['https://github.com/JuliaLang/julia/archive/']
sources = ['master.zip']
checksums = ['3d2457b88f5ebcca067ef9f374b16066']
buildopts = 'MARCH=native USE_INTEL_MKL=1 USE_INTEL_MKL_FFT=1 USE_INTEL_LIBM=1 USEICC=1 USEICC=1 USEIFC=1'
files_to_copy = ['usr/*']
sanity_check_paths = {
'files': ['bin/julia'],
'dirs': []
}
moduleclass = 'math'
# IT4Innovations 2019
easyblock = 'MakeCp'
name = 'Julia'
version = 'snapshot'
name = 'JuliaLang'
version = '1.0.3'
homepage = 'http://julialang.org'
description = """Julia is a high-level, high-performance dynamic programming language for technical computing,
......@@ -13,23 +15,31 @@ description = """Julia is a high-level, high-performance dynamic programming lan
packages through Julia’s built-in package manager at a rapid pace. IJulia, a collaboration between the Jupyter and Julia communities,
provides a powerful browser-based graphical notebook interface to Julia."""
toolchain = {'name': 'foss', 'version': '2015g'}
dependencies = [('Python', '2.7.9')]
toolchain = {'name': 'dummy', 'version': ''}
source_urls = ['https://github.com/JuliaLang/julia/archive/']
sources = ['master.zip']
sources = ['v%(version)s.tar.gz']
builddependencies = [
('CMake', '3.13.1')
]
checksums = ['3d2457b88f5ebcca067ef9f374b16066']
dependencies = [
('git', '2.19.1')
]
buildopts = 'MARCH=native USE_SYSTEM_FFTW=1 USE_SYSTEM_BLAS=1 USE_SYSTEM_LAPACK=1 LIBBLAS=-lopenblas LIBBLASNAME=libopenblas'
buildopts = 'O=%(installdir)s'
parallel = 1
skipsteps = ['install']
files_to_copy = ["tests/"]
files_to_copy = ['usr/*']
modextravars = {
'PATH': '%(installdir)s',
}
sanity_check_paths = {
'files': ['bin/julia'],
'dirs': []
'files': ['julia'],
'dirs': ['usr', 'test']
}
moduleclass = 'math'
moduleclass = 'lang'
......@@ -15,8 +15,8 @@ source_urls = ['https://github.com/matplotlib/matplotlib/archive/']
sources = ['v%(version)s.tar.gz']
dependencies = [
('freetype', '2.8', '', True),
('libpng', '1.6.29', '', True),
('freetype', '2.9.1', '-libpng-1.6.34', True),
('libpng', '1.6.34', '', True),
('python-dateutil', '2.6.1'),
('numpy', '1.13.3'),
('pyparsing', '2.2.0'),
......
......@@ -18,7 +18,7 @@ dependencies = [
('libjpeg-turbo', '1.5.1', '', True),
('zlib', '1.2.11', '', True),
('LibTIFF', '4.0.7', '', True),
('freetype', '2.8', '', True),
('freetype', '2.9.1', '-libpng-1.6.34', True),
]
options = {'modulename': 'PIL'}
......
......@@ -3,7 +3,7 @@
easyblock = 'ConfigureMakePythonPackage'
name = 'PyQt5'
version = '5.10'
version = '5.10.1'
homepage = 'http://www.riverbankcomputing.co.uk/software/pyqt'
description = 'PyQt5 is a set of Python bindings for v5 of the Qt application framework from The Qt Company.'
......@@ -15,8 +15,8 @@ source_urls = [
sources = ['%(name)s_gpl-%(version)s.tar.gz']
dependencies = [
('SIP', '4.19.6'),
('Qt5', '5.8.0', '', ('GCC', '6.3.0-2.27')),
('SIP', '4.19.8'),
('Qt5', '5.11.1', '', True),
]
configopts = "configure.py --confirm-license"
......
# IT4Innovations 2018
easyblock = 'Bundle'
name = 'PyQt5'
version = '5.11.3'
homepage = 'http://www.riverbankcomputing.co.uk/software/pyqt'
description = """PyQt5 is a set of Python bindings for v5 of the Qt application framework from The Qt Company."""
toolchain = {'name': 'Py', 'version': '3.6'}
dependencies = [
('Qt5', '5.11.1', '', True),
]
default_easyblock = 'ConfigureMakePythonPackage'
pylibdir = '%(installdir)s/lib/python3.6/site-packages'
sip_configopts = "configure.py --bindir %%(installdir)s/bin --incdir %%(installdir)s/include --destdir %s" % pylibdir
# required for PyQt5, cfr. http://pyqt.sourceforge.net/Docs/PyQt5/installation.html#downloading-sip
# and http://pyqt.sourceforge.net/Docs/sip4/using.html#ref-private-sip
sip_configopts += " --sip-module PyQt5.sip"
sipver = '4.19.13'
components = [
('SIP', sipver, {
'source_urls': ['http://sourceforge.net/projects/pyqt/files/sip/sip-%s' % sipver],
'sources': [SOURCELOWER_TAR_GZ],
'checksums': ['e353a7056599bf5fbd5d3ff9842a6ab2ea3cf4e0304a0f925ec5862907c0d15e'],
'start_dir': 'sip-%s' % sipver,
'configopts': sip_configopts,
'options': {'modulename': 'PyQt5.sip'},
}),
(name, version, {
'source_urls': ['http://sourceforge.net/projects/pyqt/files/PyQt5/PyQt-%(version)s'],
'sources': ['%(name)s_gpl-%(version)s.tar.gz'],
'checksums': ['c9b57d15601d436faf35dacf8e0acefa220194829a653e771e80b189b3261073'],
'start_dir': 'PyQt5_gpl-%(version)s',
'preconfigopts': "export PATH=%(installdir)s/bin:$PATH && ",
'configopts': "configure.py --confirm-license --verbose --destdir=%s --no-sip-files --no-stubs" % pylibdir,
'options': {'modulename': 'PyQt5.QtCore'},
}),
]
sanity_check_paths = {
'files': ['bin/sip', 'include/sip.h', 'lib/python3.6/site-packages/sipconfig.py',
'lib/python3.6/site-packages/sipdistutils.py',
'lib/python3.6/site-packages/PyQt5/sip.%s' % SHLIB_EXT],
'dirs': [],
}
modextrapaths = {'PYTHONPATH': 'lib/python3.6/site-packages'}
moduleclass = 'vis'
# IT4Innovation 2018
easyblock = 'EB_Qt'
name = 'Qt5'
version = '5.11.1'
homepage = 'http://qt.io/'
description = "Qt is a comprehensive cross-platform C++ application framework."
toolchain = {'name': 'dummy', 'version': ''}
source_urls = [
'http://download.qt.io/official_releases/qt/%(version_major_minor)s/%(version)s/single/',
'http://download.qt.io/archive/qt/%(version_major_minor)s/%(version)s/single/']
sources = ['qt-everywhere-src-%(version)s.tar.xz']
patches = ['Qt5-5.11.1.patch']
builddependencies = [
('pkg-config', '0.29.2'),
]
# qtgamepad needs recent kernel/libevdev (fails on RHEL 6.x)
#configopts = '-sbkip qtgamepad'
platform = 'linux-g++-64'
dependencies = [
('GLib', '2.57.1'),
('libpng', '1.6.34'),
('X11', '20170314'),
('libGLU', '9.0.0'),
('Mesa', '18.3.1'),
]
moduleclass = 'devel'
--- qtlocation/src/location/declarativemaps/qdeclarativegeomap.cpp.orig 2018-12-17 08:38:58.421017265 +0100
+++ qtlocation/src/location/declarativemaps/qdeclarativegeomap.cpp 2018-12-17 08:36:57.901022626 +0100
@@ -694,11 +694,11 @@
QImage copyrightImage;
if (!m_initialized && width() > 0 && height() > 0) {
QMetaObject::Connection copyrightStringCatcherConnection =
- connect(m_map,
+ connect(m_map.data(),
QOverload<const QString &>::of(&QGeoMap::copyrightsChanged),
[&copyrightString](const QString &copy){ copyrightString = copy; });
QMetaObject::Connection copyrightImageCatcherConnection =
- connect(m_map,
+ connect(m_map.data(),
QOverload<const QImage &>::of(&QGeoMap::copyrightsChanged),
[&copyrightImage](const QImage &copy){ copyrightImage = copy; });
m_map->setViewportSize(QSize(width(), height()));
@@ -719,8 +719,8 @@
emit m_map->copyrightsChanged(copyrightImage);
- connect(m_map, &QGeoMap::sgNodeChanged, this, &QQuickItem::update);
- connect(m_map, &QGeoMap::cameraCapabilitiesChanged, this, &QDeclarativeGeoMap::onCameraCapabilitiesChanged);
+ connect(m_map.data(), &QGeoMap::sgNodeChanged, this, &QQuickItem::update);
+ connect(m_map.data(), &QGeoMap::cameraCapabilitiesChanged, this, &QDeclarativeGeoMap::onCameraCapabilitiesChanged);
// This prefetches a buffer around the map
m_map->prefetchData();
......@@ -3,7 +3,7 @@
easyblock = 'PythonPackage'
name = 'SIP'
version = '4.19.6'
version = '4.19.8'
homepage = 'http://www.riverbankcomputing.com/software/sip/'
description = """SIP is a tool that makes it very easy to create Python bindings for C and C++ libraries."""
......@@ -12,7 +12,7 @@ toolchain = {'name': 'Py', 'version': '3.6'}
sources = ['sip-%(version)s-cp36-cp36m-manylinux1_x86_64.whl']
source_urls = [
'https://pypi.python.org/packages/8e/9e/9587f4519fa2aec51e3419649e01b3717ed2e7556a461762e71e3aeea2db']
'https://files.pythonhosted.org/packages/8a/ea/d317ce5696dda4df7c156cd60447cda22833b38106c98250eae1451f03ec/']
use_pip = True
unpack_sources = False
......
......@@ -26,6 +26,8 @@ dependencies = [
('dask', '0.17.0'),
('toolz', '0.9.0'),
('PyWavelets', '0.5.2'),
('Tk', '8.6.6', '', True),
('Cython', '0.27.3'),
]
options = {'modulename': 'skimage'}
......
# IT4Innovations 2018
easyblock = 'PythonPackage'
name = 'scikit-image'
version = '0.14.1'
homepage = 'http://scikit-learn.org/stable/index.html'
description = """Scikit-learn integrates machine learning algorithms in the tightly-knit scientific Python world,
building upon numpy, scipy, and matplotlib. As a machine-learning module,
it provides versatile tools for data mining and analysis in any field of science and engineering.
It strives to be simple and efficient, accessible to everybody, and reusable in various contexts."""
toolchain = {'name': 'Py', 'version': '3.6'}
source_urls = [PYPI_SOURCE]
sources = [SOURCE_TAR_GZ]
dependencies = [
('matplotlib', '2.1.1'),
('numpy', '1.13.3'),
('scipy', '1.0.0'),
('six', '1.11.0'),
('networkx', '2.1'),
('Pillow', '5.0.0'),
('dask', '0.17.0'),
('toolz', '0.9.0'),
('PyWavelets', '0.5.2'),
('Tk', '8.6.6', '', True),
('Cython', '0.27.3'),
]
options = {'modulename': 'skimage'}
sanity_check_paths = {'files': [], 'dirs': [
'lib/python3.6/site-packages/scikit_image-%(version)s-py3.6-linux-x86_64.egg'], }
moduleclass = 'python'
......@@ -21,6 +21,7 @@ dependencies = [
('numpy', '1.13.3'),
('scipy', '1.0.0'),
('scikit-image', '0.13.1'),
('Tk', '8.6.6', '', True),
]
options = {'modulename': 'sklearn'}
......
# IT4Innovations 2018
easyblock = 'PythonPackage'
name = 'scikit-learn'
version = '0.20.1'
homepage = 'http://scikit-learn.org/stable/index.html'
description = """Scikit-learn integrates machine learning algorithms in the tightly-knit scientific Python world,
building upon numpy, scipy, and matplotlib. As a machine-learning module,
it provides versatile tools for data mining and analysis in any field of science and engineering.
It strives to be simple and efficient, accessible to everybody, and reusable in various contexts."""
toolchain = {'name': 'Py', 'version': '3.6'}
source_urls = [PYPI_SOURCE]
sources = [SOURCE_TAR_GZ]
dependencies = [
('matplotlib', '2.1.1'),
('numpy', '1.13.3'),
('scipy', '1.0.0'),
('scikit-image', '0.14.1'),
('Tk', '8.6.6', '', True),
]
options = {'modulename': 'sklearn'}
sanity_check_paths = {
'files': [],
'dirs': ['lib/python3.6/site-packages/sklearn'],
}
moduleclass = 'python'
# IT4Innovations 2019
easyblock = 'PythonPackage'
name = 'sqsgenerator'
version = '20190102'
homepage = 'https://github.com/dnoeger/sqsgenerator'
description = """This package is a Special Quasirandom Structure generator written in Python3/Cython.
Please note that the programm currently only works with Python 3."""
toolchain = {'name': 'Py', 'version': '3.6'}
#source_urls = ['https://github.com/dnoeger/sqsgenerator/archive/']
sources = ['sqsgenerator-20190102.tar.gz']
#patches = ['sqsgenerator-20180823-Py-3.6.patch']
dependencies = [
('Cython', '0.27.3'),
('pymatgen', '2018.1.29'),
('GMP', '6.1.2', '', True),
]
sanity_check_paths = {
'files': [
'bin/chardetect',
'bin/cygdb',
'bin/cython',
'bin/cythonize',
'bin/f2py',
'bin/feff_input_generation',
'bin/feff_plot_cross_section',
'bin/feff_plot_dos',
'bin/gaussian_analyzer',
'bin/get_environment',
'bin/isympy',
'bin/pmg',
'bin/pydii',
'bin/sqsgenerator',
'bin/tabulate'],
'dirs': [
'bin',
'lib']}
moduleclass = 'lang'
# IT4Innovations 2018
easyblock = 'MakeCp'
name = 'VASP'
version = '5.4.4'
versionsuffix = '-mkl=cluster-VTST'
homepage = 'http://www.vasp.at'
description = """The Vienna Ab initio Simulation Package (VASP) is a computer program for atomic scale
materials modelling, e.g. electronic structure calculations and quantum-mechanical molecular dynamics,
from first principles.
To use VASP, You need academic licenses from University of Wiena. Follow the instructions https://www.vasp.at/index.php/faqs.
Then send us please a list of authorized users and their ID for which you need this access. Please use only http://support.it4i.cz/rt. We are responsible to verify your licenses. After succesfull verification You will be granted to use VASP in our enviroment."""
toolchain = {'name': 'intel', 'version': '2017c'}
toolchainopts = {'pic': True, 'usempi': True}
# Vasp is proprietary software, see http://www.vasp.at/index.php/faqs on
# how to get access to the code
sources = ['%(namelower)s.%(version)s-VTST.tar.gz']
#checksums = ['8ac646b108f974371eef398973373bf6']
dependencies = [
('zlib', '1.2.11', '', True),
]
prebuildopts = 'cp arch/makefile.include.linux_intel ./makefile.include && '
# path to libfftw3xf_intel.a is hardcoded in makefile.include
prebuildopts += 'sed -i "s|\$(MKLROOT)/interfaces/fftw3xf|\$(FFTW_LIB_DIR)|" makefile.include && '
# remove mkl flag to prevent mixing dynamic libs with the static libs in
# LIBBLACS/SCALAPACK
prebuildopts += 'sed -i "s|-mkl=sequential|-mkl=cluster|" makefile.include && '
# OFLAG = -O2 -xAVX
prebuildopts += 'sed -i "s|OFLAG = -O2|OFLAG = -O3 -xAVX|" makefile.include && '
# objects add MKLROOT
prebuildopts += 'sed -i "s|OBJECTS = fftmpiw.o fftmpi_map.o fft3dlib.o fftw3d.o|OBJECTS = fftmpiw.o fftmpi_map.o fft3dlib.o fftw3d.o \$\(MKLROOT\)/lib/intel64_lin/libfftw3xf_intel.a|" makefile.include && '
# VASP uses LIBS as a list of folders
prebuildopts += 'unset LIBS && '
#prebuildopts += 'exit 1'
buildopts = 'all BLACS="$LIBBLACS" SCALAPACK="$LIBSCALAPACK"'
parallel = 1
files_to_copy = [(['bin/vasp_std', 'bin/vasp_gam', 'bin/vasp_ncl'], 'bin')]
sanity_check_paths = {
'files': ['bin/vasp_std', 'bin/vasp_gam', 'bin/vasp_ncl'],
'dirs': []
}
modluafooter = 'add_property("state","license")'
moduleclass = 'phys'
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment